*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../Funciones/FuncionesRobot/FuncionesAPI.robot

Resource    ../Componentes/MenuAgentes/Roles.robot
Resource    ../Componentes/MenuAgentes/Individuos.robot
Resource    ../Componentes/MenuAgentes/Organizaciones.robot

Library    ../Funciones/FuncionesPython/LecturaExcel.py
Library    ../Funciones/FuncionesPython/FuncionesReporte.py

Variables    ../Variables/variables.py

*** Variables ***


*** Test Cases ***
TC VALIDACION DEL MENU DE CONFIGURACION

    Create Session    ${session}    ${URL_BASE}
    ${reporte}=    crear reporte    ${ruta_reporte}

#    ${data_excel}=    llamar datos excel    Roles    ${ruta_excel}    Agentes
#    VALIDAR ROLES    ${data_excel}    ${flag_reporte}    ${reporte}
#
    ${data_excel}=    llamar datos excel    Gestor Agentes - Individuos    ${ruta_excel}    Agentes
    VALIDAR INDIVIDUOS    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Gestor Agentes - Organización    ${ruta_excel}    Agentes
#    VALIDAR ORGANIZACIONES    ${data_excel}    ${flag_reporte}    ${reporte}

    llenarreporte    ${reporte}    -    -    -    -    -    Terminado
