*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../Funciones/FuncionesRobot/FuncionesAPI.robot

Resource    ../Componentes/MenuExtraccion/Conexiones.robot
Resource    ../Componentes/MenuExtraccion/Credenciales.robot
Resource    ../Componentes/MenuExtraccion/Insumos.robot
Resource    ../Componentes/MenuExtraccion/Repositorios.robot
Resource    ../Componentes/MenuConfiguracion/ParametroSistema.robot

Library    ../Funciones/FuncionesPython/LecturaExcel.py
Library    ../Funciones/FuncionesPython/FuncionesReporte.py

Variables    ../Variables/variables.py

*** Variables ***


*** Test Cases ***
TC VALIDACION DEL MENU DE EXTRACCION

    Create Session    ${session}    ${URL_BASE}
    ${reporte}=    crear reporte    ${ruta_reporte}

#    ${data_excel}=    llamar datos excel    Credenciales    ${ruta_excel}    Extraccion
#    VALIDAR CREDENCIALES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Conexiones    ${ruta_excel}    Extraccion
#    VALIDAR CONEXIONES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Repositorios    ${ruta_excel}    Extraccion
#    VALIDAR REPOSITORIOS    ${data_excel}    ${flag_reporte}    ${reporte}

    ${data_excel}=    llamar datos excel    Insumos    ${ruta_excel}    Extraccion
    VALIDAR INSUMOS    ${data_excel}    ${flag_reporte}    ${reporte}


    llenarreporte    ${reporte}    -    -    -    -    -    Terminado
