*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../Funciones/FuncionesRobot/FuncionesAPI.robot

Resource    ../Componentes/MenuGestores/Acuerdos.robot
Resource    ../Componentes/MenuGestores/Ajustes.robot
Resource    ../Componentes/MenuGestores/Estructuras.robot
Resource    ../Componentes/MenuGestores/Excepciones.robot
Resource    ../Componentes/MenuGestores/Matrices.robot
Resource    ../Componentes/MenuGestores/Penalidades.robot
Resource    ../Componentes/MenuGestores/Planes.robot

Library    ../Funciones/FuncionesPython/LecturaExcel.py
Library    ../Funciones/FuncionesPython/FuncionesReporte.py

Variables    ../Variables/variables.py

*** Variables ***


*** Test Cases ***
TC VALIDACION DEL MENU DE GESTORES

    Create Session    ${session}    ${URL_BASE}
    ${reporte}=    crear reporte    ${ruta_reporte}

#    ${data_excel}=    llamar datos excel    Ajustes    ${ruta_excel}    Gestores
#    VALIDAR AJUSTES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Plan de comision    ${ruta_excel}    Gestores
#    VALIDAR PLANES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Penalidades    ${ruta_excel}    Gestores
#    VALIDAR PENALIDADES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Matriz de puntos    ${ruta_excel}    Gestores
#    VALIDAR MATRICES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Excepciones    ${ruta_excel}    Gestores
#    VALIDAR EXCEPCIONES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Acuerdos    ${ruta_excel}    Gestores
#    VALIDAR ACUERDOS    ${data_excel}    ${flag_reporte}    ${reporte}

    ${data_excel}=    llamar datos excel    Estructura de Comisión    ${ruta_excel}    Gestores
    VALIDAR ESTRUCTURAS    ${data_excel}    ${flag_reporte}    ${reporte}

    llenarreporte    ${reporte}    -    -    -    -    -    Terminado