*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../../Funciones/FuncionesRobot/FuncionesAPI.robot
Resource    ../../Funciones/FuncionesRobot/FuncionesValidacion.robot
Variables    ../../Variables/variables.py

*** Variables ***

*** Keywords ***
VALIDAR CATALOGOS
    [Arguments]    ${data_excel}    ${flag_reporte}    ${reporte}
#    log to console    ${data_excel}
    ${datos}=    get from list    ${data_excel}    4
    ${campos}=    get from list    ${data_excel}    3
    ${llave_campos}=    get from list    ${data_excel}    5

    FOR    ${item}    IN    @{datos}

        log to console    ESTE ES EL ITEM ACTUAL: ${item}[1]

        ${TOKEN}=    obtener token
        &{header}=    create dictionary    Content-Type=application/json    Authorization=${TOKEN}
        &{body}=    create dictionary    filterExpression=identifier=='${item}[1]*'
        &{body2}=    create dictionary    currentPage=0    itemsPerPage=50


#        LOG TO CONSOLE    ${body}

        ${ID}=    Obtener_ID    ${header}    ${body}    ${session}   /service/config-service/catalog/page
        ${valores}=    Obtener data    ${header}    ${ID}    ${session}    /service/config-service/catalog
        ${valores_catalogos}=    Obtener data - catalogos    ${header}    ${body}    ${ID}    ${session}    /service/config-service/characteristic-value/list-value-group-pagination

#        log to console    TERMINO DE CONSEGUIR LOS VALORES ${valores}

        validar configuracion    ${item}    ${valores}    ${campos}    ${llave_campos}    ${data_excel}    Catalogos    PRIMARIA    ${flag_reporte}    ${reporte}    ${valores_catalogos}    ${ID}

    END