*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../../Funciones/FuncionesRobot/FuncionesAPI.robot
Resource    ../../Funciones/FuncionesRobot/FuncionesValidacion.robot
Variables    ../../Variables/variables.py

*** Variables ***

*** Keywords ***
VALIDAR INTERVALOS
    [Arguments]    ${data_excel}    ${flag_reporte}    ${reporte}
#    log to console    ${data_excel}
    ${datos}=    get from list    ${data_excel}    4
    ${campos}=    get from list    ${data_excel}    3
    ${llave_campos}=    get from list    ${data_excel}    5

    FOR    ${item}    IN    @{datos}

        log to console    ESTE ES EL ITEM ACTUAL: ${item}[1]

        ${TOKEN}=    obtener token
        &{header}=    create dictionary    Content-Type=application/json    Authorization=${TOKEN}
        &{body}=    create dictionary    filterExpression=identifier=='${item}[1]*'

#        LOG TO CONSOLE    ${body}

        ${ID}=    Obtener_ID    ${header}    ${body}    ${session}   /service/config-service/interval/page
        ${valores}=    Obtener data    ${header}    ${ID}    ${session}    /service/config-service/interval

        &{body_condiciones}=    crear json
        ${valores_condiciones}=    obtener data - condicion intervalos    ${header}    ${ID}    ${session}    /service/config-service/interval-condition/page/${ID}?searchString=    ${body_condiciones}

#        log to console    TERMINO DE CONSEGUIR LOS VALORES ${valores}
#        log to console    TERMINO DE CONSEGUIR LOS VALORES ${valores_condiciones}

        validar configuracion    ${item}    ${valores}    ${campos}    ${llave_campos}    ${data_excel}    Intervalo    PRIMARIA    ${flag_reporte}    ${reporte}    ${valores_condiciones}    ${ID}

    END