*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../../Funciones/FuncionesRobot/FuncionesAPI.robot
Resource    ../../Funciones/FuncionesRobot/FuncionesValidacion.robot
Variables    ../../Variables/variables.py

*** Variables ***

*** Keywords ***
VALIDAR TAREAS PROGRAMADAS
    [Arguments]    ${data_excel}    ${flag_reporte}    ${reporte}
#    log to console    ${data_excel}
    ${datos}=    get from list    ${data_excel}    4
    ${campos}=    get from list    ${data_excel}    3
    ${llave_campos}=    get from list    ${data_excel}    5

    FOR    ${item}    IN    @{datos}

        log to console    ESTE ES EL ITEM ACTUAL: ${item}[1]

        ${TOKEN}=    obtener token
        &{header}=    create dictionary    Content-Type=application/json    Authorization=${TOKEN}
        &{body}=    create dictionary    filterExpression=description=='${item}[1]*'

#        LOG TO CONSOLE    ${body}

        ${ID}=    Obtener_ID    ${header}    ${body}    ${session}    /service/config-service/settings/scheduler-task/page
        ${valores}=    Obtener data    ${header}    ${ID}    ${session}    /service/config-service/settings/scheduler-task

#        log to console    TERMINO DE CONSEGUIR LOS VALORES ${valores}

        validar configuracion    ${item}    ${valores}    ${campos}    ${llave_campos}    ${data_excel}    Tareas Programadas    PRIMARIA    ${flag_reporte}    ${reporte}    -    ${ID}

    END