*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../../Funciones/FuncionesRobot/FuncionesAPI.robot
Resource    ../../Funciones/FuncionesRobot/FuncionesValidacion.robot
Variables    ../../Variables/variables.py

*** Variables ***

*** Keywords ***
VALIDAR TIPO DE CAMBIOS
    [Arguments]    ${data_excel}    ${flag_reporte}    ${reporte}
#    log to console    ${data_excel}
    ${datos}=    get from list    ${data_excel}    4
    ${campos}=    get from list    ${data_excel}    3
    ${llave_campos}=    get from list    ${data_excel}    5

    FOR    ${item}    IN    @{datos}

        log to console    ESTE ES EL ITEM ACTUAL: ${item}[1]

        ${TOKEN}=    obtener token
        &{header}=    create dictionary    Content-Type=application/json    Authorization=${TOKEN}

        &{body_moneda}=    create dictionary    filterExpression=name=='${item}[1]*'
        &{body_moneda_target}=    create dictionary    filterExpression=name=='${item}[2]*'

        ${ID_moneda}=    Obtener_ID    ${header}    ${body_moneda}    ${session}   /service/config-service/currency/page
        ${ID_moneda_target}=    Obtener_ID    ${header}    ${body_moneda_target}    ${session}   /service/config-service/currency/page

        &{body}=    create dictionary    filterExpression=currency.id=='${ID_moneda}';targetCurrency.id=='${ID_moneda_target}'

#        LOG TO CONSOLE    ${body}

        ${valores}=    obtener data - tipo cambio    ${header}    ${body}    ${session}   /service/config-service/currency-exchange/page    ${item}

#        log to console    TERMINO DE CONSEGUIR LOS VALORES ${valores}

        validar configuracion    ${item}    ${valores}    ${campos}    ${llave_campos}    ${data_excel}    Tipo de Cambio    PRIMARIA    ${flag_reporte}    ${reporte}    -    -

    END