*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../../Funciones/FuncionesRobot/FuncionesAPI.robot
Resource    ../../Funciones/FuncionesRobot/FuncionesValidacion.robot
Resource    ../../Funciones/FuncionesRobot/FuncionesVarias.robot

Variables    ../../Variables/variables.py

*** Variables ***

*** Keywords ***
VALIDAR ACUERDOS
    [Arguments]    ${data_excel}    ${flag_reporte}    ${reporte}
#    log to console    ${data_excel}
    ${datos}=    get from list    ${data_excel}    4
    ${campos}=    get from list    ${data_excel}    3
    ${llave_campos}=    get from list    ${data_excel}    5

    FOR    ${item}    IN    @{datos}

        log to console    ESTE ES EL ITEM ACTUAL: ${item}[1]

        ${TOKEN}=    obtener token
        &{header}=    create dictionary    Content-Type=application/json    Authorization=${TOKEN}
        &{body}=    create dictionary    filterExpression=description=='${item}[1]*'

#        LOG TO CONSOLE    ${body}

        ${ID}=    Obtener ID - Agreement Version    ${header}    ${body}    ${session}   /service/config-service/agreement/page    ${item}[2]
        ${valores}=    Obtener data    ${header}    ${ID}    ${session}    /service/config-service/agreement-version

        ${ID_plan}=    obtener id - plan acuerdo    ${valores}
        ${valores_plan}=    Obtener data    ${header}    ${ID_plan}    ${session}    /service/config-service/commission-plan-version/version
#        log to console    TERMINO DE CONSEGUIR LOS VALORES DEL PLAN: ${valores_plan}

        validar configuracion    ${item}    ${valores}    ${campos}    ${llave_campos}    ${data_excel}    Acuerdos    PRIMARIA    ${flag_reporte}    ${reporte}    ${valores_plan}    ${ID}

    END