*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary
Library    String

Library    ../FuncionesPython/FuncionesVarias.py
Variables    ../../Variables/variables.py

*** Keywords ***
OBTENER TOKEN

    Delete All Sessions
    Create Session    ${session_token}    ${URL_TOKEN}

    &{header}=    create dictionary    Content-Type=application/x-www-form-urlencoded    Cookie=KEYCLOAK_LOCALE=es
    &{body}=    create dictionary    grant_type=password    client_id=bcom-backend    client_secret=${client_secret}    username=${username}    password=${password}

#    log to console    ${header}
#    log to console    ${body}

    ${resp}=    Post Request    ${session_token}    /auth/realms/BCOM/protocol/openid-connect/token    headers=${header}    data=${body}
#    log to console    ${resp}

    ${access_token}=    Collections.Get From Dictionary    ${resp.json()}    access_token

    ${NUEVO_TOKEN}=    Catenate    Bearer    ${access_token}

#    log to console    ${NUEVO_TOKEN}

    Delete All Sessions
    Create Session    ${session}    ${URL_BASE}

    [return]    ${NUEVO_TOKEN}