*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Library    ../FuncionesPython/FuncionesVarias.py
Resource    FuncionesVarias.robot

*** Keywords ***
ACTUALIZAR ENTIDAD
    [Arguments]    ${opcion}    ${ID}    ${lista_ubicacion_json}    ${lista_nuevos_valores}    ${JSON_ORIGINAL}

    # CREACION DE HEADER PARA EL REQUEST
    ${TOKEN}=    obtener token
    &{header}=    create dictionary    Content-Type=application/json    Authorization=${TOKEN}

    # OBTENCION DE API
    ${API}=    OBTENER API    ${opcion}    -
#    log to console    API: ${API}
#    log to console    ID: ${ID}

    # CREACION DE BODY PARA EL REQUEST

#    log to console    LISTA KEY: ${lista_ubicacion_json}
#    log to console    LISTA VALUE: ${lista_nuevos_valores}

#    &{JSON_ORIGINAL}=    Obtener data    ${header}    ${ID}    ${session}    ${API}
    &{body}=    MODIFICARDICCIONARIO    ${JSON_ORIGINAL}    ${lista_ubicacion_json}    ${lista_nuevos_valores}

#    log to console    Body: ${body}



    # CREACION DE REQUEST
    ${put_request}=    put request    ${session}    ${API}/${ID}    data=${body}    headers=${header}
    log to console    ${put_request.status_code}
    log to console    ${put_request.content}