*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../Funciones/FuncionesRobot/FuncionesAPI.robot

Resource    ../Componentes/MenuConfiguracion/Calendarios.robot
Resource    ../Componentes/MenuConfiguracion/Catalogos.robot
Resource    ../Componentes/MenuConfiguracion/CicloLiquidacion.robot
Resource    ../Componentes/MenuConfiguracion/ClaseUbigeo.robot
Resource    ../Componentes/MenuConfiguracion/Conceptos.robot
Resource    ../Componentes/MenuConfiguracion/Equivalencias.robot
Resource    ../Componentes/MenuConfiguracion/Impuestos.robot
Resource    ../Componentes/MenuConfiguracion/Intervalos.robot
Resource    ../Componentes/MenuConfiguracion/Moneda.robot
Resource    ../Componentes/MenuConfiguracion/ParametroNegocio.robot
Resource    ../Componentes/MenuConfiguracion/ParametroSistema.robot
Resource    ../Componentes/MenuConfiguracion/TareaProgramada.robot
Resource    ../Componentes/MenuConfiguracion/TipoCambio.robot
Resource    ../Componentes/MenuConfiguracion/TipoCatalogo.robot
Resource    ../Componentes/MenuConfiguracion/TiposAjuste.robot
Resource    ../Componentes/MenuConfiguracion/Ubigeo.robot
Resource    ../Componentes/MenuConfiguracion/ValoresPosibles.robot

Library    ../Funciones/FuncionesPython/LecturaExcel.py
Library    ../Funciones/FuncionesPython/FuncionesReporte.py

Variables    ../Variables/variables.py

*** Variables ***


*** Test Cases ***
TC VALIDACION DEL MENU DE CONFIGURACION

    Create Session    ${session}    ${URL_BASE}
    ${reporte}=    crear reporte    ${ruta_reporte}

    ${data_excel}=    llamar datos excel    Parámetros de sistema    ${ruta_excel}    Parametros
    VALIDAR PARAMETROS DE SISTEMA    ${data_excel}    ${flag_reporte}    ${reporte}
#
#    ${data_excel}=    llamar datos excel    Parametros de Negocio    ${ruta_excel}    Parametros
#    VALIDAR PARAMETROS DE NEGOCIO    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Tareas Programadas    ${ruta_excel}    Parametros
#    VALIDAR TAREAS PROGRAMADAS    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Moneda    ${ruta_excel}    Parametros
#    VALIDAR MONEDAS    ${data_excel}    ${flag_reporte}    ${reporte}
#
#    ${data_excel}=    llamar datos excel    Ubigeo    ${ruta_excel}    Parametros
#    VALIDAR UBIGEOS    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Tipos de Ajuste    ${ruta_excel}    Parametros
#    VALIDAR TIPOS DE AJUSTES    ${data_excel}    ${flag_reporte}    ${reporte}


#    ${data_excel}=    llamar datos excel    Calendario    ${ruta_excel}    Parametros
#    VALIDAR CALENDARIOS    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Tipos de catálogo    ${ruta_excel}    Parametros
#    VALIDAR TIPOS CATALOGOS    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Catalogos    ${ruta_excel}    Parametros
#    VALIDAR CATALOGOS    ${data_excel}    ${flag_reporte}    ${reporte}
#
#    ${data_excel}=    llamar datos excel    Valores posibles    ${ruta_excel}    Parametros
#    VALIDAR VALORES POSIBLES    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${datos}=    llamar datos excel    Tipo de Cambio    ${ruta_excel}    Parametros
#    validar tipo de cambios    ${datos}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Ciclos de Liquidacion    ${ruta_excel}    Parametros
#    VALIDAR CICLOS LIQUIDACION    ${data_excel}    ${flag_reporte}    ${reporte}
#
#    ${data_excel}=    llamar datos excel    Conceptos    ${ruta_excel}    Parametros
#    VALIDAR CONCEPTOS    ${data_excel}    ${flag_reporte}    ${reporte}
#
#    ${data_excel}=    llamar datos excel    Equivalencias    ${ruta_excel}    Parametros
#    VALIDAR EQUIVALENCIAS    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Impuestos    ${ruta_excel}    Parametros
#    VALIDAR IMPUESTOS    ${data_excel}    ${flag_reporte}    ${reporte}

#    ${data_excel}=    llamar datos excel    Clase Ubigeo    ${ruta_excel}    Parametros
#    VALIDAR CLASES UBIGEO    ${data_excel}    ${flag_reporte}    ${reporte}
#
#    ${data_excel}=    llamar datos excel    Intervalo    ${ruta_excel}    Parametros
#    VALIDAR INTERVALOS    ${data_excel}    ${flag_reporte}    ${reporte}

    llenarreporte    ${reporte}    -    -    -    -    -    Terminado
