*** Settings ***
Library    RequestsLibrary
Library    JSONLibrary
Library    Collections
Library    SeleniumLibrary

Resource    ../Funciones/FuncionesRobot/FuncionesAPI.robot
Resource    ../Componentes/MenuInterfaz/Filtros.robot
Resource    ../Componentes/MenuInterfaz/Vistas.robot
Library    ../Funciones/FuncionesPython/LecturaExcel.py
Library    ../Funciones/FuncionesPython/FuncionesReporte.py

Variables    ../Variables/variables.py

*** Test Cases ***
TC VALIDACION DEL MENU DE INTERFAZ

    Create Session    ${session}    ${URL_BASE}
    ${reporte}=    crear reporte    ${ruta_reporte}

    ${data_excel}=    llamar datos excel    Vista    ${ruta_excel}    Interfaz
    VALIDAR VISTAS    ${data_excel}    ${flag_reporte}    ${reporte}

    ${data_excel}=    llamar datos excel    Filtro    ${ruta_excel}    Interfaz
    VALIDAR FILTROS    ${data_excel}    ${flag_reporte}    ${reporte}

    llenarreporte    ${reporte}    -    -    -    -    -    Terminado